<template>
  <v-container
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-cart-arrow-right"
      icon-small
      :title="$t('pedidos')"
      color="secondary"
    >
      <v-row>
        <v-col cols="12" md="12" sm="12">
          <PedidosTabla
            ref="pedidosTabla"
            @onNuevoPedido="nuevoPedido"
            @onEditarPedido="editarPedido"
            class="pt-6 pl-8 pr-8 pb-8"
          />
        </v-col>
      </v-row>
    </material-card>
  </v-container>
</template>

<script>
import PedidosTabla from '@/components/Pedidos/PedidosTabla'
export default {
  components: {
    PedidosTabla
  },
  props: {

  },
  data () {
    return {
    }
  },
  methods: {
    nuevoPedido() {
      this.$router.push({name: 'nuevoPedido'})
    },
    pedidoGuardado() {
      this.modal = false
      this.$refs.pedidosTabla.refreshTable()
    },
    editarPedido(value) {
      this.proveedorData = value
      this.modal = true
    },
    cancelarGuardado() {
      this.modal = false
    }
  },
  created(){
  }
}
</script>

<style>

</style>
